Packages for Linux

FBReader 2.1β3, released 29th April 2024

Readium LCP certified

FBReader 2.1β3 AppImage for x86_64 (Intel 64-bit architecture)

AppImage is not a package. It is a single executable file in which almost all required dependencies are embedded. Download the file, make it executable (chmod +x FBReader_Book_Reader-x86_64-2.0.99.3.AppImage) and run.

However, this doesn’t mean it will work on any Linux computer. AppImage uses base libraries installed on your system, so you might have to install some core packages, including OpenGL. Moreover, if your distribution is too old, the AppImage won’t work. It is built on a Ubuntu 20.04 computer, and the libraries are expected to be at least as new as they were in 2020.

We know that the AppImage works on

  • Fedora 38
  • OpenSUSE 15.5
  • Ubuntu 20.04
  • Ubuntu 22.04

FBReader 2.0.5, released 20th September 2023

Snaps

The snaps are installable via the Snap Store.

RPM packages

We’ve built the RPMs for Fedora 38. We tested the packages on

  • Fedora 38
  • OpenSUSE Tumbleweed, version of 16th May 2023

You can add our repo https://fbreader.org/linux/rpms/fbreader.repo to your sources list. Then install the package fbreader.

Alternatively, you can download and install the appropriate package manually.

Monkey mascot

Monkey mascot